﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.master" Inherits="System.Web.Mvc.ViewPage<IEnumerable<MvcNoe.DAL.SP_IndexForumMissatge_EXTEND_Result>>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Llistat
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>
        Llistat de missatges</h2>
    <% 
        //carreguem la partial view que fem servir com a user control des de server-side    
        Html.RenderAction("InitializeUserControl");
    %>

    <h2>
        Llistat dels missatges escrits
    </h2>
    <%--afegim un filtre per id tema--%>
<%-- The solution is to use an overload of BeginForm that specifies that the POST request should add 
    the search information to the URL and that is should be routed to the HttpGet version of the Index method. --%>
    <p>
        <% using (Html.BeginForm("Index","ForumMissatge",FormMethod.Get))
           { %>
                Filtrar per id del tema
                <%: Html.DropDownList("Temes","ALL") %>
                <input type="submit" value="Filter" />
        
        <%} %>
    </p>



    <table>
        <tr>
            <th>
               id tema
            </th>
            <th>
                Tema
            </th>
            <th>
                Fòrum
            </th>
            <th>
                Discussió
            </th>
            <th>
                Missatge
            </th>
            <th>
                Usuari missatge
            </th>
            <th>
                Data missatge
            </th>
            <th>
            </th>
        </tr>
        <% foreach (var item in Model)
           { %>
        <tr>
            <td>
                <%: Html.DisplayFor(modelItem => item.id_tema) %>
            </td>
            <td>
                <%: Html.DisplayFor(modelItem => item.desc_tema) %>
            </td>
            <td>
                <%: Html.DisplayFor(modelItem => item.desc_forum) %>
            </td>
            <td>
                <%: Html.DisplayFor(modelItem => item.titol) %>
            </td>
            <td>
                <%: Html.DisplayFor(modelItem => item.missatge) %>
            </td>
            <td>
                <%: Html.DisplayFor(modelItem => item.id_usuari_alta) %>
            </td>
            <td>
                <%: Html.DisplayFor(modelItem => item.data_alta) %>
            </td>
            <td>
                <%--Afegim Trim() per a treure espais en blanc que després donen error--%>
                <%: Html.ActionLink("Editar", "Edit", new { id = (item.id_tema.Trim() + "_" + item.id_forum.Trim() + "_" + item.id_forum_discussio.Trim() + "_" + item.id_forum_missatge.Trim()) })%>
                |
                <%: Html.ActionLink("Detalls", "Details", new { id = (item.id_tema.Trim() + "_" + item.id_forum.Trim() + "_" + item.id_forum_discussio.Trim() + "_" + item.id_forum_missatge.Trim()) })%>
                |
            </td>
        </tr>
        <% } %>
    </table>
</asp:Content>
