﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
//per a fer servir el DAL
using MvcSonin.DAL;

namespace MvcSonin.Controllers
{
    public class HomeController : Controller
    {
        private SONINEntities db = new SONINEntities();

        public ActionResult Index()
        {
            ViewBag.Message = "Benvinguts a Sonin!";

            return View();
        }

        //validem el login i el password
        [HttpPost]
        public ActionResult Index(MvcSonin.Models.LoginPassword loginPassword)
        {
            try
            {
                TBL_Usuaris user = (db.TBL_Usuaris.Single(t => t.id_usuari == loginPassword.login && t.password == loginPassword.password));
                //si hi a un error anirem al catch. També sinò hi ha un registre a la BBDD amb el login i passw
                //si hi ha un usuari anem a la pantalla del Wellcome
                //desem el id de usuari en una variable global
                Session["usuari"] = user.id_usuari;
                //només usuaris admin
                //els usuaris amb perfil personal no poden accedir a la aplicació 
                if (user.id_perfil.Trim() == "admin")
                {
                    ViewBag.Message = "Benvinguts a Sonin!";
                    return View("Wellcome");
                }
                else
                {
                    ViewBag.Message = "Benvinguts a Sonin! Error de Login. Perfil incorrecte";
                    return View("Index");
                }

            }
            catch (Exception e)
            {
                ViewBag.Message = "Benvinguts a Sonin! Error de Login";
                return View("Index");
            }

        }

        //Vista de benvinguda a la aplicació
        public ViewResult Wellcome()
        {
            ViewBag.Message2 = "Benvinguts a Sonin!";

            return View();
        }

        public ActionResult About()
        {
            return View();
        }
    }
}
