﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcNoe.DAL;


namespace MvcNoe.Controllers
{
    public class HomeController : Controller
    {
        
        private SONINEntities db = new SONINEntities();

        public ActionResult Index()
        {
            ViewBag.Message = "Benvinguts a Noe!";

            return View();
        }

        //validem el login i el password
        [HttpPost]
        public ActionResult Index(MvcNoe.Models.LoginPassword loginPassword)
        {
            try
            {
                TBL_Usuaris user=(db.TBL_Usuaris.Single(t => t.id_usuari == loginPassword.login && t.password == loginPassword.password));
                //si hi a un error anirem al catch. També sinò hi ha un registre a la BBDD amb el login i passw
                //si hi ha un usuari anem a la pantalla del Wellcome
                //desem el id de usuari en una variable global
                Session["usuari"] = user.id_usuari;

                ViewBag.Message2 = "Benvinguts a Noe!";
                return View("Wellcome");

                
            }
            catch(Exception e){
                ViewBag.Message = "Benvinguts a Noe! Error de Login" ;
                ViewBag.error = "Benvinguts a Noe! Error de Login: "  + e.Message;
                return View("Error");
            }
           
        }

        //Vista de benvinguda a la aplicació
        public ViewResult Wellcome()
        {
            ViewBag.Message2 = "Benvinguts a Noe!";

            return View();
        }

        public ActionResult About()
        {
            return View();
        }
    }
}
